> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toolrouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Call Tool

> Executes a specific tool with the provided parameters



## OpenAPI

````yaml POST /s/{client_id}/call_tool
openapi: 3.1.0
info:
  title: Toolrouter API
  description: Toolrouter API for secure endpoint integration
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.toolrouter.ai
security:
  - bearerAuth: []
paths:
  /s/{client_id}/call_tool:
    post:
      description: Executes a specific tool with the provided parameters
      parameters:
        - name: client_id
          in: path
          description: Client ID for authentication
          required: true
          schema:
            type: string
      requestBody:
        description: Tool execution details
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - tool_name
                - tool_input
              properties:
                tool_name:
                  type: string
                  description: Name of the tool to execute
                tool_input:
                  type: object
                  description: >-
                    Parameters for the tool execution, structure depends on the
                    specific tool
            examples:
              search:
                value:
                  tool_name: exa_search
                  tool_input:
                    query: What is toolrouter AI ?
      responses:
        '200':
          description: Tool execution result
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    description: The result of the tool execution
              examples:
                response:
                  value:
                    result:
                      search_results:
                        - title: Toolrouter AI Platform
                          content: >-
                            Toolrouter is an AI integration platform that helps
                            connect various tools and services securely.
                          url: https://toolrouter.ai/about
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                error:
                  type: string
                  description: Error message
        '401':
          description: Unauthorized - Invalid or missing authentication token
          content:
            application/json:
              schema:
                error:
                  type: string
                  description: Error message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Stack token

````